"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GOrgType = exports.FeatureOrderBy = exports.FeatureStrColumns = exports.MetricType = exports.MetricTier = exports.OrgMqlServerOrderBy = exports.OrgMqlServerStrColumns = exports.OrganizationOrderBy = exports.OrganizationStrColumns = exports.ApiKeyOrderBy = exports.ApiKeyStrColumns = exports.MetricCollectionOrderBy = exports.MetricCollectionStrColumns = exports.MetricCollectionMetricOrderBy = exports.UserOrderBy = exports.UserStrColumns = exports.TeamOrderBy = exports.TeamStrColumns = exports.SavedQueryOrderBy = exports.SavedQueryStrColumns = exports.MetricVersionOrderBy = exports.MetricVersionStrColumns = exports.DataSourceVersionOrderBy = exports.DataSourceVersionStrColumns = exports.AnnotationOrderBy = exports.AnnotationStrColumns = exports.Priority = exports.QuestionOrderBy = exports.QuestionStrColumns = exports.QuestionReplyOrderBy = exports.QuestionReplyStrColumns = exports.TeamMemberOrderBy = exports.OrgType = void 0;
/** An enumeration. */
var OrgType;
(function (OrgType) {
    OrgType["Paid"] = "PAID";
    OrgType["Trial"] = "TRIAL";
    OrgType["Internal"] = "INTERNAL";
    OrgType["Test"] = "TEST";
})(OrgType = exports.OrgType || (exports.OrgType = {}));
/** An enumeration. */
var TeamMemberOrderBy;
(function (TeamMemberOrderBy) {
    TeamMemberOrderBy["IsTeamAdmin"] = "IS_TEAM_ADMIN";
    TeamMemberOrderBy["TeamId"] = "TEAM_ID";
    TeamMemberOrderBy["JoinedAt"] = "JOINED_AT";
    TeamMemberOrderBy["UserId"] = "USER_ID";
    TeamMemberOrderBy["TeamMemberId"] = "TeamMember_ID";
    TeamMemberOrderBy["TeamMemberOrganizationId"] = "TeamMember_ORGANIZATION_ID";
    TeamMemberOrderBy["UserOrganizationId"] = "User_ORGANIZATION_ID";
    TeamMemberOrderBy["CreatedAt"] = "CREATED_AT";
    TeamMemberOrderBy["Email"] = "EMAIL";
    TeamMemberOrderBy["Auth0Id"] = "AUTH0_ID";
    TeamMemberOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    TeamMemberOrderBy["UpdatedAt"] = "UPDATED_AT";
    TeamMemberOrderBy["UserName"] = "USER_NAME";
    TeamMemberOrderBy["AvatarUrl"] = "AVATAR_URL";
    TeamMemberOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
})(TeamMemberOrderBy = exports.TeamMemberOrderBy || (exports.TeamMemberOrderBy = {}));
/** An enumeration. */
var QuestionReplyStrColumns;
(function (QuestionReplyStrColumns) {
    QuestionReplyStrColumns["Text"] = "TEXT";
})(QuestionReplyStrColumns = exports.QuestionReplyStrColumns || (exports.QuestionReplyStrColumns = {}));
/** An enumeration. */
var QuestionReplyOrderBy;
(function (QuestionReplyOrderBy) {
    QuestionReplyOrderBy["CreatedAt"] = "CREATED_AT";
    QuestionReplyOrderBy["UpdatedAt"] = "UPDATED_AT";
    QuestionReplyOrderBy["QuestionId"] = "QUESTION_ID";
    QuestionReplyOrderBy["AuthorId"] = "AUTHOR_ID";
    QuestionReplyOrderBy["Id"] = "ID";
    QuestionReplyOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    QuestionReplyOrderBy["Text"] = "TEXT";
})(QuestionReplyOrderBy = exports.QuestionReplyOrderBy || (exports.QuestionReplyOrderBy = {}));
/** An enumeration. */
var QuestionStrColumns;
(function (QuestionStrColumns) {
    QuestionStrColumns["Text"] = "TEXT";
    QuestionStrColumns["Priority"] = "PRIORITY";
})(QuestionStrColumns = exports.QuestionStrColumns || (exports.QuestionStrColumns = {}));
/** An enumeration. */
var QuestionOrderBy;
(function (QuestionOrderBy) {
    QuestionOrderBy["CreatedAt"] = "CREATED_AT";
    QuestionOrderBy["ResolvedAt"] = "RESOLVED_AT";
    QuestionOrderBy["AuthorId"] = "AUTHOR_ID";
    QuestionOrderBy["Id"] = "ID";
    QuestionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    QuestionOrderBy["Resolved"] = "RESOLVED";
    QuestionOrderBy["Text"] = "TEXT";
    QuestionOrderBy["NotifiedAt"] = "NOTIFIED_AT";
    QuestionOrderBy["UpdatedAt"] = "UPDATED_AT";
    QuestionOrderBy["ResolvedBy"] = "RESOLVED_BY";
    QuestionOrderBy["Priority"] = "PRIORITY";
    QuestionOrderBy["MetricId"] = "METRIC_ID";
})(QuestionOrderBy = exports.QuestionOrderBy || (exports.QuestionOrderBy = {}));
/** An enumeration. */
var Priority;
(function (Priority) {
    Priority["NoPriority"] = "NO_PRIORITY";
    Priority["Low"] = "LOW";
    Priority["Medium"] = "MEDIUM";
    Priority["High"] = "HIGH";
    Priority["Critical"] = "CRITICAL";
})(Priority = exports.Priority || (exports.Priority = {}));
/** An enumeration. */
var AnnotationStrColumns;
(function (AnnotationStrColumns) {
    AnnotationStrColumns["ExpectedImpact"] = "EXPECTED_IMPACT";
    AnnotationStrColumns["Text"] = "TEXT";
    AnnotationStrColumns["Priority"] = "PRIORITY";
    AnnotationStrColumns["Title"] = "TITLE";
})(AnnotationStrColumns = exports.AnnotationStrColumns || (exports.AnnotationStrColumns = {}));
/** An enumeration. */
var AnnotationOrderBy;
(function (AnnotationOrderBy) {
    AnnotationOrderBy["ExpectedImpact"] = "EXPECTED_IMPACT";
    AnnotationOrderBy["CreatedAt"] = "CREATED_AT";
    AnnotationOrderBy["Title"] = "TITLE";
    AnnotationOrderBy["AuthorId"] = "AUTHOR_ID";
    AnnotationOrderBy["Id"] = "ID";
    AnnotationOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    AnnotationOrderBy["Text"] = "TEXT";
    AnnotationOrderBy["DeletedAt"] = "DELETED_AT";
    AnnotationOrderBy["NotifiedAt"] = "NOTIFIED_AT";
    AnnotationOrderBy["DateEndedAt"] = "DATE_ENDED_AT";
    AnnotationOrderBy["UpdatedAt"] = "UPDATED_AT";
    AnnotationOrderBy["Priority"] = "PRIORITY";
    AnnotationOrderBy["DateStartedAt"] = "DATE_STARTED_AT";
})(AnnotationOrderBy = exports.AnnotationOrderBy || (exports.AnnotationOrderBy = {}));
/** An enumeration. */
var DataSourceVersionStrColumns;
(function (DataSourceVersionStrColumns) {
    DataSourceVersionStrColumns["Hash"] = "HASH";
    DataSourceVersionStrColumns["SqlTable"] = "SQL_TABLE";
    DataSourceVersionStrColumns["SqlQuery"] = "SQL_QUERY";
    DataSourceVersionStrColumns["Name"] = "NAME";
    DataSourceVersionStrColumns["Description"] = "DESCRIPTION";
    DataSourceVersionStrColumns["Connection"] = "CONNECTION";
})(DataSourceVersionStrColumns = exports.DataSourceVersionStrColumns || (exports.DataSourceVersionStrColumns = {}));
/** An enumeration. */
var DataSourceVersionOrderBy;
(function (DataSourceVersionOrderBy) {
    DataSourceVersionOrderBy["Mutability"] = "MUTABILITY";
    DataSourceVersionOrderBy["Owners"] = "OWNERS";
    DataSourceVersionOrderBy["Dimensions"] = "DIMENSIONS";
    DataSourceVersionOrderBy["Id"] = "ID";
    DataSourceVersionOrderBy["Description"] = "DESCRIPTION";
    DataSourceVersionOrderBy["DataSourceMetadata"] = "DATA_SOURCE_METADATA";
    DataSourceVersionOrderBy["Identifiers"] = "IDENTIFIERS";
    DataSourceVersionOrderBy["SqlTable"] = "SQL_TABLE";
    DataSourceVersionOrderBy["CreatedAt"] = "CREATED_AT";
    DataSourceVersionOrderBy["Hash"] = "HASH";
    DataSourceVersionOrderBy["Name"] = "NAME";
    DataSourceVersionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    DataSourceVersionOrderBy["Connection"] = "CONNECTION";
    DataSourceVersionOrderBy["Constraint"] = "CONSTRAINT";
    DataSourceVersionOrderBy["SqlQuery"] = "SQL_QUERY";
    DataSourceVersionOrderBy["Measures"] = "MEASURES";
})(DataSourceVersionOrderBy = exports.DataSourceVersionOrderBy || (exports.DataSourceVersionOrderBy = {}));
/** An enumeration. */
var MetricVersionStrColumns;
(function (MetricVersionStrColumns) {
    MetricVersionStrColumns["Description"] = "DESCRIPTION";
    MetricVersionStrColumns["Hash"] = "HASH";
    MetricVersionStrColumns["DisplayName"] = "DISPLAY_NAME";
    MetricVersionStrColumns["ValueFormat"] = "VALUE_FORMAT";
})(MetricVersionStrColumns = exports.MetricVersionStrColumns || (exports.MetricVersionStrColumns = {}));
/** An enumeration. */
var MetricVersionOrderBy;
(function (MetricVersionOrderBy) {
    MetricVersionOrderBy["Views"] = "VIEWS";
    MetricVersionOrderBy["Params"] = "PARAMS";
    MetricVersionOrderBy["Hash"] = "HASH";
    MetricVersionOrderBy["SourceDataSourceVersions"] = "SOURCE_DATA_SOURCE_VERSIONS";
    MetricVersionOrderBy["Id"] = "ID";
    MetricVersionOrderBy["Metadata"] = "METADATA";
    MetricVersionOrderBy["Description"] = "DESCRIPTION";
    MetricVersionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    MetricVersionOrderBy["MetricType"] = "METRIC_TYPE";
    MetricVersionOrderBy["Tier"] = "TIER";
    MetricVersionOrderBy["OrgDataSourceId"] = "ORG_DATA_SOURCE_ID";
    MetricVersionOrderBy["DisplayName"] = "DISPLAY_NAME";
    MetricVersionOrderBy["MetricVersionCreatedAt"] = "MetricVersion_CREATED_AT";
    MetricVersionOrderBy["MetricVersionMetricId"] = "MetricVersion_METRIC_ID";
    MetricVersionOrderBy["MetricMetadataCreatedAt"] = "MetricMetadata_CREATED_AT";
    MetricVersionOrderBy["MetricMetadataMetricId"] = "MetricMetadata_METRIC_ID";
    MetricVersionOrderBy["DescriptionLock"] = "DESCRIPTION_LOCK";
    MetricVersionOrderBy["CreatedBy"] = "CREATED_BY";
    MetricVersionOrderBy["UpdatedBy"] = "UPDATED_BY";
    MetricVersionOrderBy["ExtraFields"] = "EXTRA_FIELDS";
    MetricVersionOrderBy["TierLock"] = "TIER_LOCK";
    MetricVersionOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricVersionOrderBy["ValueFormat"] = "VALUE_FORMAT";
    MetricVersionOrderBy["ValueFormatLock"] = "VALUE_FORMAT_LOCK";
    MetricVersionOrderBy["DisplayNameLock"] = "DISPLAY_NAME_LOCK";
    MetricVersionOrderBy["IsNew"] = "IS_NEW";
})(MetricVersionOrderBy = exports.MetricVersionOrderBy || (exports.MetricVersionOrderBy = {}));
/** An enumeration. */
var SavedQueryStrColumns;
(function (SavedQueryStrColumns) {
    SavedQueryStrColumns["Title"] = "TITLE";
})(SavedQueryStrColumns = exports.SavedQueryStrColumns || (exports.SavedQueryStrColumns = {}));
/** An enumeration. */
var SavedQueryOrderBy;
(function (SavedQueryOrderBy) {
    SavedQueryOrderBy["CreatedAt"] = "CREATED_AT";
    SavedQueryOrderBy["CreatedBy"] = "CREATED_BY";
    SavedQueryOrderBy["Title"] = "TITLE";
    SavedQueryOrderBy["Id"] = "ID";
    SavedQueryOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    SavedQueryOrderBy["DeletedAt"] = "DELETED_AT";
    SavedQueryOrderBy["OwnerTeamId"] = "OWNER_TEAM_ID";
    SavedQueryOrderBy["UpdatedAt"] = "UPDATED_AT";
    SavedQueryOrderBy["SerializedQuery"] = "SERIALIZED_QUERY";
})(SavedQueryOrderBy = exports.SavedQueryOrderBy || (exports.SavedQueryOrderBy = {}));
/** An enumeration. */
var TeamStrColumns;
(function (TeamStrColumns) {
    TeamStrColumns["Name"] = "NAME";
    TeamStrColumns["Theme"] = "THEME";
    TeamStrColumns["Description"] = "DESCRIPTION";
    TeamStrColumns["Slug"] = "SLUG";
})(TeamStrColumns = exports.TeamStrColumns || (exports.TeamStrColumns = {}));
/** An enumeration. */
var TeamOrderBy;
(function (TeamOrderBy) {
    TeamOrderBy["CreatedBy"] = "CREATED_BY";
    TeamOrderBy["CreatedAt"] = "CREATED_AT";
    TeamOrderBy["Views"] = "VIEWS";
    TeamOrderBy["Name"] = "NAME";
    TeamOrderBy["Id"] = "ID";
    TeamOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    TeamOrderBy["Description"] = "DESCRIPTION";
    TeamOrderBy["Slug"] = "SLUG";
    TeamOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    TeamOrderBy["Theme"] = "THEME";
    TeamOrderBy["UpdatedAt"] = "UPDATED_AT";
    TeamOrderBy["FeaturedMetricCollectionId"] = "FEATURED_METRIC_COLLECTION_ID";
    TeamOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
})(TeamOrderBy = exports.TeamOrderBy || (exports.TeamOrderBy = {}));
/** An enumeration. */
var UserStrColumns;
(function (UserStrColumns) {
    UserStrColumns["Email"] = "EMAIL";
    UserStrColumns["AvatarUrl"] = "AVATAR_URL";
    UserStrColumns["UserName"] = "USER_NAME";
    UserStrColumns["Auth0Id"] = "AUTH0_ID";
})(UserStrColumns = exports.UserStrColumns || (exports.UserStrColumns = {}));
/** An enumeration. */
var UserOrderBy;
(function (UserOrderBy) {
    UserOrderBy["CreatedAt"] = "CREATED_AT";
    UserOrderBy["Id"] = "ID";
    UserOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    UserOrderBy["Email"] = "EMAIL";
    UserOrderBy["Auth0Id"] = "AUTH0_ID";
    UserOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    UserOrderBy["UpdatedAt"] = "UPDATED_AT";
    UserOrderBy["UserName"] = "USER_NAME";
    UserOrderBy["AvatarUrl"] = "AVATAR_URL";
    UserOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
})(UserOrderBy = exports.UserOrderBy || (exports.UserOrderBy = {}));
/** An enumeration. */
var MetricCollectionMetricOrderBy;
(function (MetricCollectionMetricOrderBy) {
    MetricCollectionMetricOrderBy["CreatedAt"] = "CREATED_AT";
    MetricCollectionMetricOrderBy["Id"] = "ID";
    MetricCollectionMetricOrderBy["Emphasis"] = "EMPHASIS";
    MetricCollectionMetricOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricCollectionMetricOrderBy["Position"] = "POSITION";
    MetricCollectionMetricOrderBy["MetricId"] = "METRIC_ID";
    MetricCollectionMetricOrderBy["SavedQueryId"] = "SAVED_QUERY_ID";
    MetricCollectionMetricOrderBy["MetricCollectionId"] = "METRIC_COLLECTION_ID";
})(MetricCollectionMetricOrderBy = exports.MetricCollectionMetricOrderBy || (exports.MetricCollectionMetricOrderBy = {}));
/** An enumeration. */
var MetricCollectionStrColumns;
(function (MetricCollectionStrColumns) {
    MetricCollectionStrColumns["Description"] = "DESCRIPTION";
    MetricCollectionStrColumns["Slug"] = "SLUG";
    MetricCollectionStrColumns["Title"] = "TITLE";
})(MetricCollectionStrColumns = exports.MetricCollectionStrColumns || (exports.MetricCollectionStrColumns = {}));
/** An enumeration. */
var MetricCollectionOrderBy;
(function (MetricCollectionOrderBy) {
    MetricCollectionOrderBy["CreatedAt"] = "CREATED_AT";
    MetricCollectionOrderBy["CreatedBy"] = "CREATED_BY";
    MetricCollectionOrderBy["Views"] = "VIEWS";
    MetricCollectionOrderBy["Title"] = "TITLE";
    MetricCollectionOrderBy["Id"] = "ID";
    MetricCollectionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    MetricCollectionOrderBy["Description"] = "DESCRIPTION";
    MetricCollectionOrderBy["DeletedAt"] = "DELETED_AT";
    MetricCollectionOrderBy["Slug"] = "SLUG";
    MetricCollectionOrderBy["OwnerTeamId"] = "OWNER_TEAM_ID";
    MetricCollectionOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricCollectionOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    MetricCollectionOrderBy["DefaultEmphasis"] = "DEFAULT_EMPHASIS";
})(MetricCollectionOrderBy = exports.MetricCollectionOrderBy || (exports.MetricCollectionOrderBy = {}));
/** An enumeration. */
var ApiKeyStrColumns;
(function (ApiKeyStrColumns) {
    ApiKeyStrColumns["Prefix"] = "PREFIX";
    ApiKeyStrColumns["Scope"] = "SCOPE";
    ApiKeyStrColumns["Type"] = "TYPE";
    ApiKeyStrColumns["SecretHash"] = "SECRET_HASH";
})(ApiKeyStrColumns = exports.ApiKeyStrColumns || (exports.ApiKeyStrColumns = {}));
/** An enumeration. */
var ApiKeyOrderBy;
(function (ApiKeyOrderBy) {
    ApiKeyOrderBy["Prefix"] = "PREFIX";
    ApiKeyOrderBy["CreatedAt"] = "CREATED_AT";
    ApiKeyOrderBy["Scope"] = "SCOPE";
    ApiKeyOrderBy["SecretHash"] = "SECRET_HASH";
    ApiKeyOrderBy["LastUsedAt"] = "LAST_USED_AT";
    ApiKeyOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    ApiKeyOrderBy["Type"] = "TYPE";
    ApiKeyOrderBy["RevokedAt"] = "REVOKED_AT";
    ApiKeyOrderBy["RevokerId"] = "REVOKER_ID";
    ApiKeyOrderBy["UserId"] = "USER_ID";
})(ApiKeyOrderBy = exports.ApiKeyOrderBy || (exports.ApiKeyOrderBy = {}));
/** An enumeration. */
var OrganizationStrColumns;
(function (OrganizationStrColumns) {
    OrganizationStrColumns["MqlServerLogs"] = "MQL_SERVER_LOGS";
    OrganizationStrColumns["LogoUrl"] = "LOGO_URL";
    OrganizationStrColumns["SourceControlUrl"] = "SOURCE_CONTROL_URL";
    OrganizationStrColumns["PrimaryConfigRepo"] = "PRIMARY_CONFIG_REPO";
    OrganizationStrColumns["Name"] = "NAME";
    OrganizationStrColumns["PrimaryConfigBranch"] = "PRIMARY_CONFIG_BRANCH";
})(OrganizationStrColumns = exports.OrganizationStrColumns || (exports.OrganizationStrColumns = {}));
/** An enumeration. */
var OrganizationOrderBy;
(function (OrganizationOrderBy) {
    OrganizationOrderBy["MqlServerLogs"] = "MQL_SERVER_LOGS";
    OrganizationOrderBy["CreatedAt"] = "CREATED_AT";
    OrganizationOrderBy["LogoUrl"] = "LOGO_URL";
    OrganizationOrderBy["PrimaryConfigRepo"] = "PRIMARY_CONFIG_REPO";
    OrganizationOrderBy["Name"] = "NAME";
    OrganizationOrderBy["Id"] = "ID";
    OrganizationOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    OrganizationOrderBy["IsHosted"] = "IS_HOSTED";
    OrganizationOrderBy["UpdatedAt"] = "UPDATED_AT";
    OrganizationOrderBy["Type"] = "TYPE";
    OrganizationOrderBy["SourceControlUrl"] = "SOURCE_CONTROL_URL";
    OrganizationOrderBy["PrimaryConfigBranch"] = "PRIMARY_CONFIG_BRANCH";
})(OrganizationOrderBy = exports.OrganizationOrderBy || (exports.OrganizationOrderBy = {}));
/** An enumeration. */
var OrgMqlServerStrColumns;
(function (OrgMqlServerStrColumns) {
    OrgMqlServerStrColumns["Url"] = "URL";
    OrgMqlServerStrColumns["Name"] = "NAME";
    OrgMqlServerStrColumns["ConfigSecret"] = "CONFIG_SECRET";
    OrgMqlServerStrColumns["DwEngine"] = "DW_ENGINE";
})(OrgMqlServerStrColumns = exports.OrgMqlServerStrColumns || (exports.OrgMqlServerStrColumns = {}));
/** An enumeration. */
var OrgMqlServerOrderBy;
(function (OrgMqlServerOrderBy) {
    OrgMqlServerOrderBy["CreatedAt"] = "CREATED_AT";
    OrgMqlServerOrderBy["Url"] = "URL";
    OrgMqlServerOrderBy["Name"] = "NAME";
    OrgMqlServerOrderBy["Id"] = "ID";
    OrgMqlServerOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    OrgMqlServerOrderBy["ConfigSecret"] = "CONFIG_SECRET";
    OrgMqlServerOrderBy["UpdatedAt"] = "UPDATED_AT";
    OrgMqlServerOrderBy["IsOrgDefault"] = "IS_ORG_DEFAULT";
    OrgMqlServerOrderBy["DwEngine"] = "DW_ENGINE";
})(OrgMqlServerOrderBy = exports.OrgMqlServerOrderBy || (exports.OrgMqlServerOrderBy = {}));
/** An enumeration. */
var MetricTier;
(function (MetricTier) {
    MetricTier["One"] = "ONE";
    MetricTier["Two"] = "TWO";
    MetricTier["Three"] = "THREE";
})(MetricTier = exports.MetricTier || (exports.MetricTier = {}));
/** An enumeration. */
var MetricType;
(function (MetricType) {
    MetricType["MeasureProxy"] = "MEASURE_PROXY";
    MetricType["Ratio"] = "RATIO";
    MetricType["Expr"] = "EXPR";
    MetricType["Cumulative"] = "CUMULATIVE";
})(MetricType = exports.MetricType || (exports.MetricType = {}));
/** An enumeration. */
var FeatureStrColumns;
(function (FeatureStrColumns) {
    FeatureStrColumns["Name"] = "NAME";
})(FeatureStrColumns = exports.FeatureStrColumns || (exports.FeatureStrColumns = {}));
/** An enumeration. */
var FeatureOrderBy;
(function (FeatureOrderBy) {
    FeatureOrderBy["RetiredAt"] = "RETIRED_AT";
    FeatureOrderBy["CreatedAt"] = "CREATED_AT";
    FeatureOrderBy["UpdatedAt"] = "UPDATED_AT";
    FeatureOrderBy["Name"] = "NAME";
    FeatureOrderBy["Id"] = "ID";
})(FeatureOrderBy = exports.FeatureOrderBy || (exports.FeatureOrderBy = {}));
/** An enumeration. */
var GOrgType;
(function (GOrgType) {
    GOrgType["Paid"] = "PAID";
    GOrgType["Trial"] = "TRIAL";
    GOrgType["Internal"] = "INTERNAL";
    GOrgType["Test"] = "TEST";
})(GOrgType = exports.GOrgType || (exports.GOrgType = {}));
